Subject: [yam] Erratum 692 for RFC 3798 (Message Disposition Notification)

From: Alexey Melnikov <[email-masked]>
Date: Sun, 06 Sep 2009 19:32:33 +0100

I am going through errata for documents in YAM's scope. This is the 
first message on the subject.

The erratum says:

> Reported By: Alfred Hoenes
> Date Reported: 2004-10-20
>
> Appendix A
>
>(2) disposition modifiers
>=========================
>
>  The disposition modifiers "warning", "superseded", "expired",
>  "mailbox-terminated" have not seen actual implementation. They have
>  been deleted from this document.
>
>
>Accordingly, the syntax production "disposition-type" in section 3.2.6.
>(on page 14) and section 7. (on mid-page 22) has been changed to read:
>
>    disposition-modifier = "error" / disposition-modifier-extension
>
>Nevertheless, one of these 'removed' modifiers disposition is
>mentioned in the text of RFC 3798:
>
>o  "warning" :
>
>   - section 3.2.7. , 3rd line of text on page 16
>
>
>  
>
> It should say:
>
>[not submitted]
>  
>
I just verified that the reported error is indeed a minor error. But I 
am not sure what should be suggested as the resolution for this problem?

---

From: Barry Leiba <[email-masked]>
Date: Mon, 7 Sep 2009 11:17:05 -0400

>>  - section 3.2.7. , 3rd line of text on page 16

We should remove the other references to "warning", of which there are
only a few:

- ABNF at the top of page 10 (delete the line with "warning-field")
- Section 3.2.7 on page 16 (delete "warning" in the title and in two
lines of text, and delete the "warning-field" definition in the ABNF)
- ABNF in the middle of page 21 (delete the line with "warning-field")
- ABNF at the bottom of page 22 (delete the definition of "warning-field")

Barry